package Form_dav;

my $pkg="Form_dav";

use strict;
use My;
use MyXML;
use Output;


#- zobrazeni formulare
sub form {
   my ($pkg_p, $query)=@_;
   my $idcs=$query->param('_idcs');
   my $outputdev=My->outputdev($query);
   $$outputdev{bezpre}=1;
   my ($docO,$htmlO,$bodyO)=MyXML->creahtml($outputdev,$idcs);
   my $formO=$bodyO->aT("form", { action=>My->okruh, method=>"post" });
   $formO->aT("input", { type=>"submit", name=>"submit", value=>"Spustit dvku" });
   Output->outputprint($docO,$outputdev);
}

#- tisk formulare pro potvrzeni akce
sub confirm {
   my ($pkg_p, $query,$message)=@_;
   my $idcs=$query->param('_idcs');
   my $outputdev=My->outputdev($query);
   $$outputdev{bezpre}=1;
   my ($docO,$htmlO,$bodyO)=MyXML->creahtml($outputdev,$idcs);
   my $formO=$bodyO->aT("form",{ action=>My->okruh,method=>"post" });
   if(defined($message)) {
      $formO->aT("p",{},$message);
   }
   my $p1O=$formO->aT("p",{},"Akci je nutn potvrdit nebo stornovat.");
   my $submit;
   foreach my $name ($query->param) {
      if($name ne "submit" and $name ne "!confirm") {
         foreach my $value ($query->param($name)) {
            $p1O->aT("input",{ type=>"hidden",name=>$name,value=>$value });
         }
      }
      elsif($name eq "submit") {
         $submit=$query->param($name);
      }
   }
   $p1O->aT("input",{ type=>"hidden",name=>"!confirm",value=>"1" });
   # tisk cudliku
   my $p2O=$formO->aT("p");
   my $cudle=[$submit, "Storno"];
   foreach my $cudl (@$cudle)  {
      $p2O->aT("input",{ type=>"submit",name=>"submit",value=>$cudl });
      $p2O->aT(undef,{}," ");
   }
   Output->outputprint($docO,$outputdev);
   exit;
}

#- hlaseni o provedeni akce - zobraz chybovou hlasku, akce uspesna...
sub hlaseni {
   my ($pkg_p, $query,$code,$text)=@_;
   my $idcs=$query->param('_idcs');
   my $outputdev=My->outputdev($query);
   $$outputdev{bezpre}=1;
   my ($docO,$htmlO,$bodyO)=MyXML->creahtml($outputdev,$idcs);
   if(defined($code)) {
      if(defined($text)) {
         $bodyO->aT("pre",{},$text);
      }
      my $color;
      if($code<0) {
         $color="red";
      }
      elsif($code>0) {
         $color="green";
      }
      my $pO=$bodyO->aT("p");
      my $spanO=$pO->aT("font",{ color=>$color });
      if($code==-1) {
         $spanO->aT(undef,{},"Akce nebyla provedena - chybn zadn!");
      }
      elsif($code==1) {
         $spanO->aT(undef,{},"Akce byla spn provedena!");
      }
   }
   Output->outputprint($docO,$outputdev);
}


return 1;

