package Index;

my $pkg="Index";

use strict;
use My;
use MyXML;

#- napojen na databazi
my $dbh=My->dbh;
my $dbhpravo=My->dbhpravo;

#- fce generuje seznam podfunkci
sub index {
   my ($pkg_p, $bodyO)=@_;
   my $sth=$dbhpravo->prepare(q{
      select
         Okruhy.okruh,
         Okruhy.nazev,
         Okruhy.popis
      from
         Prava.Okruhy
      where
         Okruhy.web=? and
         Okruhy.okruh like ? and
         substring(Okruhy.okruh,?) regexp ? and
         Okruhy.poradi>=?
      order by
         Okruhy.poradi asc,
         Okruhy.nazev asc
   });
   $sth->execute(My->web, My->okruh . '%', length(My->okruh)+1, '^[^\/][^\/#]+[\/]?$', '1');
   my $ulO=$bodyO->aT("ul");
   while(my $ref=$sth->fetchrow_hashref) {
      if(My->pravo(My->remote_user,$$ref{okruh})) {
         my $liO=$ulO->aT("li");
         if($$ref{okruh}=~/\/$/) {
            $liO->sA("type","circle");
         }
         $liO->aT("a", { href=>$$ref{okruh}, title=>$$ref{popis} }, $$ref{nazev});
      }
   }
   $sth->finish;
}

return 1;

