package Spolecnost;

my $pkg="Spolecnost";

use strict;
use lib ("/home/web-mycompany/www/lib");
use My;

my $dbh=My->dbh;

# vraci seznam org, ktere maji mozadovane vlastnosti (kdyz zadne vlastnosti nepozaduji, tak jde o seznam vsech org)
sub seznam_org {
   my ($pkg_p, $opt)=@_;
   my @org;
   my ($dotaz,@dotazpara);
   $dotaz.=q{
      select
         Org.org
      from
         Spolecnost.Org
      where
         1
   };
   if(defined($$opt{vcorg})) {
      $dotaz.=q{
            and
            Org.vcorg=?
      };
      push(@dotazpara,($$opt{vcorg}));
   }
   $dotaz.=q{
      order by
         Org.org asc
   };
   my $sth=$dbh->prepare($dotaz);
   $sth->execute(@dotazpara);
   while(my $ref=$sth->fetchrow_hashref) {
      push(@org,$$ref{org});
   }
   $sth->finish;
   return @org;
}

# vraci seznam stredisek daneho druhu u aktualni org
sub seznam_str {
   my ($pkg_p, $vyrtyp)=@_;
   my @str;
   my $sth=$dbh->prepare(q{
      select
         Str.str
      from
         Spolecnost.Str
      where
         Str.org=? and
         Str.platod<=? and
         Str.platdo>=? and
         Str.vyrtyp=?
   });
   $sth->execute(get_env("org"),get_env("datum"),get_env("datum"),$vyrtyp);
   while(my $ref=$sth->fetchrow_hashref) {
      push(@str,$$ref{str});
   }
   return @str;
}

return 1;

